Create or Update an Expenditure Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/client/{client_uuid}/expenditure/{lifeStage_uuid}/{lifeStageField_uuid}

This endpoint creates an individual expenditure for a client.

Path parameters

  • client_uuid string Required

    The uuid of the client.

  • lifeStage_uuid string Required

    The uuid of the parent Life Stage.

  • lifeStageField_uuid string Required

    The uuid of the parent Life Stage Field.

application/json

Body

  • amount integer Required

    The amount of the expenditure in pennies.

  • life_stage_section_uuid string(uuid)

    The life stage section UUID.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      UUID of the Expenditure

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      The name of the Expenditure.

    • section string

      The Life Stage Section of the Expenditure.

    • amount object

      The amount of the Expenditure.

      Hide amount attributes Show amount attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • example string
        • description string
      • formatted object
        Hide formatted attributes Show formatted attributes object
        • example string
        • description string
      • currency object
        Hide currency attributes Show currency attributes object
        • example string
        • description string
    • position string

      The position/order of the Expenditure in any listing.

    • life_stage_uuid string

      UUID of the Life Stage

    • life_stage_section_uuid string

      UUID of the parent Life Stage Section

    • life_stage_field_uuid string

      UUID of the parent Life Stage Field

    • accounts string

      The accounts associated with this expenditure. Only present when loaded.

POST /api/v1/client/{client_uuid}/expenditure/{lifeStage_uuid}/{lifeStageField_uuid}
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/client/f6aa1670-dcf0-484e-a0c5-08590fe89a84/expenditure/dcf0-484e-a0c5-08590fe89a84-f6aa1670/dcf0-484e-a0c5-08590fe89a84-f6aa1670' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"amount":50000,"life_stage_section_uuid":"949b6fda-fa90-4ae0-930f-bf16c92c03a6"}'
Request examples
{
  "amount": 50000,
  "life_stage_section_uuid": "949b6fda-fa90-4ae0-930f-bf16c92c03a6"
}
Response examples (200)
{
  "uuid": "46b7576a-9485-46d4-896d-23d43a098bc3",
  "created_at": "2026-06-08T16:08:02+01:00",
  "updated_at": "2026-06-08T16:08:02+01:00",
  "name": "Electricity",
  "section": "Housekeeping Expenses",
  "amount": {
    "amount": {
      "example": "4000",
      "description": "Money amount at their lowest denominator (for example: pennies)"
    },
    "formatted": {
      "example": "£40.00",
      "description": "Money amount formatted with currency"
    },
    "currency": {
      "example": "GBP",
      "description": "Currency of the money"
    }
  },
  "position": "1",
  "life_stage_uuid": "5e4d48bb-33b0-49f5-9686-0546587be6ce",
  "life_stage_section_uuid": "b218cd8d-3e9f-4ce7-ac5c-f8e30cfbdbde",
  "life_stage_field_uuid": "daa7df39-6c1b-4056-b158-283cab9ba46d",
  "accounts": "[]"
}